import { jsx } from "react/jsx-runtime";
import { TokenSOPHEN as TokenSOPHEN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSOPHEN = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "SOPHEN", "data-name": "TokenSOPHEN", ...props, children: /* @__PURE__ */ jsx(TokenSOPHEN$1, { variant }) });
  }
);
TokenSOPHEN.displayName = "TokenSOPHEN";
Object.assign(TokenSOPHEN, { isGdsIcon: true });
export {
  TokenSOPHEN
};
